

import java.io.*;


public class JvmWrapper
{
    
    public static native void initFileDescriptor(Class c);
    public static native void initFileInputStream(Class c);
    public static native void registerNatives(Class c);
    
    static {
        try {
            System.loadLibrary("jvmdio");
        } catch (Exception e) {
            e.printStackTrace();
        }        
    }
    
    public static void main(String [] args)
        throws Exception
    {
        try {
            initFileDescriptor(FileDescriptor.class);
            initFileInputStream(FileInputStream.class);
            registerNatives(FileInputStream.class);
            
        } catch (Exception e) {
            e.printStackTrace();
        }        
        org.jboss.Main.main(args);
    }
      
    
}
